httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ruediger Pluem <rpl...@apache.org>
Subject Re: Broken: apache/httpd#1667 (2.4.x - 59393dd)
Date Fri, 04 Jun 2021 07:00:31 GMT


On 6/4/21 8:35 AM, Nikita Popov wrote:
> Is it ok that we include an os-specific API into the main code, not
> into the APR project?

You mean because the patch uses pthread_sigmask / sigprocmask?
IMHO this is ok as:

1. Prefork is not OS generic.
2. APR currently does not offer what we need here. Getting an appropriate API in a stable
version of APR would require
   to release a new minor version of APR (1.8.x) first.
3. It would require raising the minimum version for APR in httpd to 1.8. This might be fine
for trunk, but should not be
   done for 2.4.x where we would like to backport this fix to.

Regards

RĂ¼diger


Mime
View raw message